// プログラム名： Ch02/objTypeStd.cc 
#include <iostream> 
#include <string> 
#include <complex> 
#include <vector> 
#include <array> 
using namespace std; 
 
int main() { 
  string s("Hello world!"); 
  complex<double> cx(4.3, 6.5); 
  vector<int>     v( {56, 34, 12} ); 
  array<double,2> ar( {1.2, 3.5} ); 
   
  cout << s     << ", "    << cx    << ", ["  
       << v[0]  << ", "    << v[1]  << ", "  
       << v[2]  << "], ["  << ar[0] << ", "   
       << ar[1] << "]"     << endl; 
}
